//new Promise封装起来使用，避免代码多次重复

import QQMapWX from './qqmap-wx-jssdk.min.js'

export function getAddress(lng, lat) {
	return new Promise((resove, reject) => {
		const qqmapsdk = new QQMapWX({
			key: '5WLBZ-H6RWU-NQVVO-BQG7I-XEHFK-PAFSF',
		})
		qqmapsdk.reverseGeocoder({
			location: {
				latitude: lat,
				longitude: lng
			},
			success: (res) => {
				resove(res)
			},
			fail: (e) => {
				reject(e)
			},
		})
	})
}
